Subject: Re: native-git-svn: A Summer of Code 2010 proposal

From: Eric Raymond <[email-masked]>
Date: Sun, 28 Mar 2010 08:10:34 -0400

Ramkumar Ramachandra <[email-masked]>:
> Project Proposal: git-remote-svn | Native SVN support in Git
> Student: Ramkumar Ramachandra
> Mentor: Sverre Rabbelier

+1

I've just been through a Subversion-to-git migration, and have been
directly affected by an inadequacy in git-svn - failure to recognizer
SVN tags as tags rather than branches. See my blog post at
<http://esr.ibiblio.org/?p=1806>, "Subversion to GIT Migration: A Tale
of Two Gotchas" for discussion.

Accordingly, I support Ramkumar's proposal to rethink and rewrite the 
Subversion interface.  A concerted effort to do seamless interoperability 
would be well justified given the ubiquity of Subversion.  I think Rankumar
has chosen a goal that is useful, well defined, and realistically scoped.
-- 
		<a href="http://www.catb.org/~esr/">Eric S. Raymond</a>